# Module `DESTROYGROUPSTASK`

DESTROYGROUPSTASK

## Global(s)

DESTROYGROUPSTASK |

## Type `DESTROYGROUPSTASK`

DESTROYGROUPSTASK.ClassName |
DESTROYGROUPSTASK.GoalVerb |
DESTROYGROUPSTASK:New(DestroyGroupType, DestroyUnitType, <, DestroyPercentage, DestroyGroupNames) | Creates a new DESTROYGROUPSTASK.
DESTROYGROUPSTASK:ReportGoalProgress(DestroyGroup, DestroyUnit) | Report Goal Progress.

## Global(s)

#DESTROYGROUPSTASK DESTROYGROUPSTASK

## Type `DESTROYGROUPSTASK`

### Field(s)

#string DESTROYGROUPSTASK.ClassName

#string DESTROYGROUPSTASK.GoalVerb

DESTROYGROUPSTASK:New(DestroyGroupType, DestroyUnitType, <, DestroyPercentage, DestroyGroupNames)

  Creates a new DESTROYGROUPSTASK.

  ### Parameters

  - `#string DestroyGroupType` :

        String describing the group to be destroyed.

  - `#string DestroyUnitType` :

        String describing the unit to be destroyed.

  - `#list <` : string> DestroyGroupNames Table of string containing the name of the groups to be destroyed before task is completed.

  - `#number DestroyPercentage` : defines the %-tage that needs to be destroyed to achieve mission success. eg. If in the Group there are 10 units, then a value of 75 would require 8 units to be destroyed from the Group to complete the TASK. -@return DESTROYGROUPSTASK

  - `DestroyGroupNames` :

DESTROYGROUPSTASK:ReportGoalProgress(DestroyGroup, DestroyUnit)

  Report Goal Progress.

  ### Parameters

  - `DCSGroup#Group DestroyGroup` : Group structure describing the group to be evaluated.

  - `DCSUnit#Unit DestroyUnit` : Unit structure describing the Unit to be evaluated.

  ### Return value

  #number: The DestroyCount reflecting the amount of units destroyed within the group.

## Type `list`